server:
  port: 9010

spring:
  datasource:
    username: root
    password: 897admin$$
    url: jdbc:mysql://47.97.10.240:3306/spccloud?useUnicode=true&characterEncoding=utf8&serverTimezone=GMT%2B8
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    initialSize: 1
    minIdle: 3
    maxActive: 80
    # 配置获取连接等待超时的时间
    maxWait: 60000
    # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
    timeBetweenEvictionRunsMillis: 60000
    # 配置一个连接在池中最小生存的时间，单位是毫秒
    minEvictableIdleTimeMillis: 30000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    # 打开PSCache，并且指定每个连接上PSCache的大小
    poolPreparedStatements: true
    maxPoolPreparedStatementPerConnectionSize: 20
    # 通过connectProperties属性来打开mergeSql功能；慢SQL记录
    connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000


#mybatis-plus
mybatis-plus:
  mapper-locations: classpath*:com.it.rattan.spccloud.mapper/*.xml

spccloud:
  pdf-download-path: C:/Users/Administrator/Desktop/temp/
  wkhtmltopdf-exe-path: C:/Users/Administrator/Desktop/wkhtmltopdf/bin/wkhtmltopdf.exe


bean-searcher:
  packages: com.rattan.spccloud
  params:
    pagination:
      start: 1
    ignore-case-key:



# mybatisplus代码生成器配置
#generator:
  #username: root
  #password: 123admin
  #driver: com.mysql.jdbc.Driver
  #url: jdbc:mysql://47.97.10.240:3306/spccloud?useUnicode=true&characterEncoding=utf8&serverTimezone=GMT%2B8
  #dbTableList:   #数据库的表，可多张(自己设置)
  #- rt_company
  #prefix:
    #rt